classification
Title: cleanup temporary files in distutils.has_function
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: SilentGhost, dstufft, eric.araujo, minrk, steve.dower
Priority: normal Keywords: patch

Created on 2015-11-03 14:15 by minrk, last changed 2021-02-03 18:21 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
0001-cleanup-temporary-files-in-ccompiler.has_function.patch minrk, 2015-11-03 14:15 patch to cleanup temp files in ccompiler.has_function
0001-cleanup-tempfiles-in-has_function.patch minrk, 2016-04-08 17:47 patch to cleanup temp files in ccompiler.has_function
minrk_issue25544.diff SilentGhost, 2016-04-08 18:00 review
Messages (6)
msg253993 - (view) Author: Min RK (minrk) * Date: 2015-11-03 14:15
One of the nits noted in http://bugs.python.org/issue717152, which introduced ccompiler.has_function, was that it does not clean up after itself.

This patch uses a TemporaryDirectory context to ensure that the files created during has_function are cleaned up.
msg262856 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2016-04-04 17:03
Hi Min RK, could you please update your patch so that it would cleanly apply to the tip of default branch. Also since you're re-writing a big chunk of that function, could I ask you to use with context manager for the temporary source file.
msg262891 - (view) Author: Min RK (minrk) * Date: 2016-04-05 05:22
Absolutely, I'll try to do that tomorrow.
msg263032 - (view) Author: Min RK (minrk) * Date: 2016-04-08 17:47
update patch to use file context manager on temporary source file

it should apply cleanly on current default (778ccbe3cf74)
msg263033 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2016-04-08 18:00
Here is the review-able patch.
msg386365 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:21
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:21:45steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386365

resolution: out of date
stage: needs patch -> resolved
2016-04-08 18:00:07SilentGhostsetfiles: + minrk_issue25544.diff

messages: + msg263033
2016-04-08 17:47:19minrksetfiles: + 0001-cleanup-tempfiles-in-has_function.patch

messages: + msg263032
2016-04-05 05:22:37minrksetmessages: + msg262891
2016-04-04 17:03:27SilentGhostsetversions: - Python 3.4
nosy: + SilentGhost

messages: + msg262856

stage: needs patch
2016-04-04 17:00:56SilentGhostlinkissue26689 dependencies
2015-11-03 14:15:46minrkcreate